
using System;
using Gtk;
using IPod;

namespace Dopi {

    public class PropertiesDialog : Dialog {

        public PropertiesDialog (Window parent, Device device) : base ("Device Properties",
                                                                       parent,
                                                                       DialogFlags.NoSeparator,
                                                                       Stock.Close, ResponseType.Close) {
            this.Resizable = false;

            DevicePropertyEditor editor = new DevicePropertyEditor (device);
            editor.BorderWidth = 8;
            editor.Show ();

            this.VBox.Add (editor);
        }
    }
}
